dropdown boxes on sites stop working

Bug #1010466 reported by Jaco Uys on 2012-06-08
110
This bug affects 26 people
Affects Status Importance Assigned to Milestone
unity-2d
High
Unassigned
unity-2d (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

TEST CASE (from artnay on IRC):
1. open some tabs in Firefox
2. right click on a page and select view source (or ctrl+u)
3. close the "view source" window using ctrl+w (make sure Firefox) and "view source" windows are maximized
4. now view source again but instead of closing the window by pressing ctrl+w, close it by clicking X in menu bar
5. try to do a right click on any page/tab, or try to give some input in awesome bar

------------------------------------------------
See comment #22 for a good summary of the issue
------------------------------------------------

I have tried on a couple of different websites and none of the dropdown boxes want to open. It is as if there is a refresh process or something running the stops the dropdown from opening. I can click on the drop box and scroll down with the down button, but I cant use a mouse click to open the dropbox. By drop box I mean
<select name='dropboxname'>
<option value=''>Option 1</option>
<option value=''>Option 2</option>
<option value=''>Option 3</option>
</select>

ProblemType: BugDistroRelease: Ubuntu 12.04
Package: firefox 13.0+build1-0ubuntu0.12.04.1
ProcVersionSignature: Ubuntu 3.2.0-25.40-generic 3.2.18
Uname: Linux 3.2.0-25-generic x86_64
AddonCompatCheckDisabled: False
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu9
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bosbaba 9413 F.... pulseaudio
BuildID: 20120601175215
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4000000 irq 46'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:14f15069,104313f3,00100302 HDA:80862804,80860101,00100000'
   Controls : 14
   Simple ctrls : 6
Channel: release
Date: Fri Jun 8 14:47:56 2012
ForcedLayersAccel: False
IfupdownConfig:
 auto lo
 iface lo inet loopback
IncompatibleExtensions: LastPass - <email address hidden>: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
IpRoute:
 default via 10.0.0.2 dev wlan0 proto static
 10.0.0.0/24 dev wlan0 proto kernel scope link src 10.0.0.3 metric 2
 169.254.0.0/16 dev wlan0 scope link metric 1000
MostRecentCrashID: bp-df47671b-8626-4c40-9e43-39d142120328
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Profiles: Profile0 (Default) - LastVersion=13.0/20120601175215 (In use)
RelatedPackageVersions:
 gnome-shell 3.4.1-0ubuntu2
 icedtea-6-plugin 1.2-2ubuntu1
 rhythmbox-mozilla 2.96-0ubuntu4
 totem-mozilla 3.0.1-0ubuntu21
RunningIncompatibleAddons: TrueSourcePackage: firefox
SubmittedCrashIDs:
 bp-df47671b-8626-4c40-9e43-39d142120328
 bp-b88396fd-7aec-4741-8a93-c042e2120308
UpgradeStatus: Upgraded to precise on 2012-05-10 (29 days ago)
WifiSyslog:

dmi.bios.date: 03/16/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: K52Jc.205
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: K52Jc
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK52Jc.205:bd03/16/2010:svnASUSTeKComputerInc.:pnK52Jc:pvr1.0:rvnASUSTeKComputerInc.:rnK52Jc:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: K52Jc
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

Related branches

Jaco Uys (w-jaco) wrote :
Micah Gersten (micahg) wrote :

Thank you for reporting this to Ubuntu. How much RAM do you have and how many tabs are open in Firefox (approximately)?

Changed in firefox (Ubuntu):
status: New → Incomplete
Micah Gersten (micahg) wrote :

Also, if you clear the error console (Tools -> Error Console) and try a drop down, do you get an error?

Chris Coulson (chrisccoulson) wrote :

Could somebody with this issue please install the build of Firefox in my PPA (https://launchpad.net/~chrisccoulson/+archive/ppa/+packages), then run Firefox from the console with "NSPR_LOG_MODULES=Widget:3 firefox", recreate the issue and tell me if anything appears on the console each time the popup fails to appear

Download full text (4.2 KiB)

Chris,

   Presumably I need to add your PPA to a repository list somewhere to be
able to do this?

                                  -John Little-

On 12 June 2012 07:53, Chris Coulson <email address hidden> wrote:

> Could somebody with this issue please install the build of Firefox in my
> PPA (https://launchpad.net/~chrisccoulson/+archive/ppa/+packages<https://launchpad.net/%7Echrisccoulson/+archive/ppa/+packages>),
> then
> run Firefox from the console with "NSPR_LOG_MODULES=Widget:3 firefox",
> recreate the issue and tell me if anything appears on the console each
> time the popup fails to appear
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1009835).
> https://bugs.launchpad.net/bugs/1010466
>
> Title:
> dropdown boxes on sites stop working
>
> Status in “firefox” package in Ubuntu:
> Incomplete
>
> Bug description:
> I have tried on a couple of different websites and none of the dropdown
> boxes want to open. It is as if there is a refresh process or something
> running the stops the dropdown from opening. I can click on the drop box
> and scroll down with the down button, but I cant use a mouse click to open
> the dropbox. By drop box I mean
> <select name='dropboxname'>
> <option value=''>Option 1</option>
> <option value=''>Option 2</option>
> <option value=''>Option 3</option>
> </select>
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: firefox 13.0+build1-0ubuntu0.12.04.1
> ProcVersionSignature: Ubuntu 3.2.0-25.40-generic 3.2.18
> Uname: Linux 3.2.0-25-generic x86_64
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 2.0.1-0ubuntu9
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: bosbaba 9413 F.... pulseaudio
> BuildID: 20120601175215
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xd4000000 irq 46'
> Mixer name : 'Intel IbexPeak HDMI'
> Components : 'HDA:14f15069,104313f3,00100302
> HDA:80862804,80860101,00100000'
> Controls : 14
> Simple ctrls : 6
> Channel: release
> Date: Fri Jun 8 14:47:56 2012
> ForcedLayersAccel: False
> IfupdownConfig:
> auto lo
> iface lo inet loopback
> IncompatibleExtensions: LastPass - <email address hidden>
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64
> (20101007)
> IpRoute:
> default via 10.0.0.2 dev wlan0 proto static
> 10.0.0.0/24 dev wlan0 proto kernel scope link src 10.0.0.3 metric 2
> 169.254.0.0/16 dev wlan0 scope link metric 1000
> MostRecentCrashID: bp-df47671b-8626-4c40-9e43-39d142120328
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> Profiles: Profile0 (Default) - LastVersion=13.0/20120601175215 (In use)
> RelatedPackageVersions:
> gnome-shell 3.4.1-0ubuntu2
> icedtea-6-plugin 1.2-2ubuntu1
> rhythmbox-mozilla 2.96-0ubuntu4
> totem-mozilla 3....

Read more...

Chris Coulson (chrisccoulson) wrote :

You can do:

sudo add-apt-repository ppa:chrisccoulson/ppa

... and then upgrade as normal

Chris Coulson (chrisccoulson) wrote :

Anyone?

Despite trying for an entire day in multiple desktop environments, I haven't managed to trigger this even a single time so I'm dependent on one of the reporters providing the information I ask for here. Without that, the chance of us getting to the bottom of this is basically zero.

Also, what desktop environments are people using?

Marco Carranza (marcocarranza) wrote :

Hello, thanks ofr the link.

After the upgrade Firefox is working normally.

Im using Gnome 3.4.1
Kernel 3.2.0-24-generic

My laptop its a HP Pavilion g7
Amd PhenomII quado core, 8gb of ram

And im using and external screen.

Regards,
Marco Carranza

On Tue, Jun 12, 2012 at 11:36 AM, Chris Coulson <<email address hidden>
> wrote:

> Anyone?
>
> Despite trying for an entire day in multiple desktop environments, I
> haven't managed to trigger this even a single time so I'm dependent on
> one of the reporters providing the information I ask for here. Without
> that, the chance of us getting to the bottom of this is basically zero.
>
> Also, what desktop environments are people using?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1011924).
> https://bugs.launchpad.net/bugs/1010466
>
> Title:
> dropdown boxes on sites stop working
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1010466/+subscriptions
>

Jiri Grönroos (jiri-gronroos) wrote :

I can reproduce this as told in bug 1011163. Right click still works in "View source" window but immediately after closing the said window, right click stops working in FX.

Then I installed the debug version of FX from your PPA. The bug wasn't reproducible (by "View source" method) in the first tab I opened but after opening a second tab and trying again, the bug occured. Here's the output:

-1194391744[7f4db7914480]: GrabPointer: pointer grab failed: 2 (time=0x4fd76533 retry=1)
-1194391744[7f4db7914480]: GrabPointer: pointer grab failed: 2 (time=0x4fd76533 retry=1)
-1194391744[7f4db7914480]: GrabPointer: pointer grab failed: 2 (time=0x4fd76533 retry=1)
-1194391744[7f4db7914480]: GrabPointer: pointer grab failed: 2 (time=0x4fd76533 retry=1)
-1194391744[7f4db7914480]: GrabPointer: pointer grab failed: 2 (time=0x4fd76533 retry=1)
-1194391744[7f4db7914480]: GrabPointer: pointer grab failed: 2 (time=0x4fd76533 retry=1)
-1194391744[7f4db7914480]: GrabPointer: pointer grab failed: 2 (time=0x4fd76533 retry=1)
-1194391744[7f4db7914480]: GrabPointer: pointer grab failed: 2 (time=0x4fd76533 retry=1)

Setup:
up-to-date 64-bit Precise
Unity 2D
Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20120611 Firefox/13.0
5 tabs
2GB of RAM
Default Ubuntu FX extensions and Finnish localization

Chris Coulson (chrisccoulson) wrote :

Excellent, that confirms my initial suspicion. Thanks!

Did you get 1 line of output for each attempt to open a popup? all of the pointer grabs are attempted with the same timestamp, which is definitely quite broken

Jiri Grönroos (jiri-gronroos) wrote :

@10 Yes, one per an attempt. I also found a way which triggers this. If I use keyboard shortcuts to open and close the "View source" window (Ctrl+U, Ctrl+W), the bug doesn't get triggered. The bug triggers when I close the "View source" window from window's Close button.

Chris Coulson (chrisccoulson) wrote :

Thanks.

Out of interest, how long has your system been running? The timestamp there is equivalent to around 15.5 days.

Jiri Grönroos (jiri-gronroos) wrote :

@12 19:49:51 up 1 day, 11:43, 2 users, load average: 0.96, 1.02, 0.93

Chris Coulson (chrisccoulson) wrote :

Also, could you please try something in gdb for me too? You'll need to install the debug symbols (firefox-dbg), which are quite large.

If you could do the following, it would be a great help:

$ NSPR_LOG_MODULES=Widget:3 firefox -g
(gdb) run

Once it has started, interrupt it with CTRL+C, and do:

(gdb) break GrabPointerError
(gdb) cont

When the problem occurs again, it will stop (and there should be a message on the console again). Could you then please try:

(gdb) p/x sLastUserInputTime

What value is it? And is it the same as the timestamp in the error message?

Chris Coulson (chrisccoulson) wrote :

Also, when the problem occurs, would you mind also running "xprop", clicking on the window and pasting the output here?

Thanks

Jiri Grönroos (jiri-gronroos) wrote :

@14 No, it's not.

-134359232[7ffff6c14480]: GrabPointer: pointer grab failed: 2 (time=0x4fd77846 retry=1)

(gdb) p/x sLastUserInputTime
$1 = 0x57b537e

Jiri Grönroos (jiri-gronroos) wrote :

my@name:~$ xprop
WM_HINTS(WM_HINTS):
  Client accepts input or input focus: True
  Initial state is Normal State.
  window id # of group leader: 0x4400001
XdndAware(ATOM) = BITMAP
_MOTIF_DRAG_RECEIVER_INFO(_MOTIF_DRAG_RECEIVER_INFO) = 0x6c, 0x0, 0x5, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0
WM_TRANSIENT_FOR(WINDOW): window id # 0x440008c
_NET_WM_SYNC_REQUEST_COUNTER(CARDINAL) = 71309428
_NET_WM_WINDOW_TYPE(ATOM) = _NET_WM_WINDOW_TYPE_POPUP_MENU
_NET_WM_USER_TIME_WINDOW(WINDOW): window id # 0x4401873
WM_CLIENT_LEADER(WINDOW): window id # 0x4400001
_NET_WM_PID(CARDINAL) = 24028
WM_LOCALE_NAME(STRING) = "fi_FI.UTF-8"
WM_CLIENT_MACHINE(STRING) = "name"
WM_NORMAL_HINTS(WM_SIZE_HINTS):
  program specified location: 0, 0
  program specified minimum size: 0 by 0
  window gravity: NorthWest
WM_PROTOCOLS(ATOM): protocols WM_DELETE_WINDOW, WM_TAKE_FOCUS, _NET_WM_PING, _NET_WM_SYNC_REQUEST
WM_CLASS(STRING) = "Popup", "Mozilla Developer Preview"
WM_ICON_NAME(STRING) = "Firefox"
_NET_WM_ICON_NAME(UTF8_STRING) = "Firefox"
WM_NAME(STRING) = "Firefox"
_NET_WM_NAME(UTF8_STRING) = "Firefox"
my@name:~$

(gdb) break GrabPointerError
Breakpoint 1 at 0x7ffff4376cf3: file /build/buildd/firefox-13.0+build1/build-tree/mozilla/widget/gtk2/nsWindow.cpp, line 4724.
(gdb) cont
Continuing.
[Thread 0x7fffd8ab0700 (LWP 24043) exited]
[Thread 0x7fffe1da6700 (LWP 24061) exited]
[New Thread 0x7fffe1da6700 (LWP 24064)]
[New Thread 0x7fffd8ab0700 (LWP 24065)]
[Thread 0x7fffe1da6700 (LWP 24064) exited]
[New Thread 0x7fffe1da6700 (LWP 24067)]
[New Thread 0x7fffc24ba700 (LWP 24068)]
[New Thread 0x7fffc1cb9700 (LWP 24069)]
[New Thread 0x7fffc14b8700 (LWP 24070)]
[New Thread 0x7fffc0aff700 (LWP 24071)]
[Thread 0x7fffc0aff700 (LWP 24071) exited]
[New Thread 0x7fffc0aff700 (LWP 24072)]
[Thread 0x7fffc0aff700 (LWP 24072) exited]
[New Thread 0x7fffc0aff700 (LWP 24073)]
-134359232[7ffff6c14480]: GrabPointer: pointer grab failed: 2 (time=0x4fd77ade retry=1)

Breakpoint 1, GrabPointerError ()
    at /build/buildd/firefox-13.0+build1/build-tree/mozilla/widget/gtk2/nsWindow.cpp:4724
4724 /build/buildd/firefox-13.0+build1/build-tree/mozilla/widget/gtk2/nsWindow.cpp: No such file or directory.
(gdb) p/x sLastUserInputTime
$1 = 0x5856f0c
(gdb) Quit

Jiri Grönroos (jiri-gronroos) wrote :
Download full text (13.4 KiB)

(gdb) break gdk_x11_window_set_user_time
Breakpoint 1 at 0x7ffff02b0850: file /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkwindow-x11.c, line 3711.
(gdb) condition 1 timestamp>0x20000000
(gdb) break GrabPointerError
Breakpoint 2 at 0x7ffff4376cf3: file /build/buildd/firefox-13.0+build1/build-tree/mozilla/widget/gtk2/nsWindow.cpp, line 4724.
(gdb) cont
Continuing.
[Thread 0x7fffe1da6700 (LWP 25574) exited]
[New Thread 0x7fffe1da6700 (LWP 25601)]
[New Thread 0x7fffc79ff700 (LWP 25602)]
[Thread 0x7fffc79ff700 (LWP 25602) exited]
[New Thread 0x7fffc79ff700 (LWP 25603)]

Breakpoint 1, IA__gdk_x11_window_set_user_time (window=0x7fffc5e32340, timestamp=1339529522)
    at /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkwindow-x11.c:3711
3711 /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkwindow-x11.c: Tiedostoa tai hakemistoa ei ole.
(gdb) p/x sLastUserInputTime
$1 = 0x5fbddd6
(gdb) quit

Xprop for "View source" window

my@name:~$ xprop
WM_HINTS(WM_HINTS):
  Client accepts input or input focus: True
  Initial state is Normal State.
  window id # of group leader: 0x4400001
XdndAware(ATOM) = BITMAP
_MOTIF_DRAG_RECEIVER_INFO(_MOTIF_DRAG_RECEIVER_INFO) = 0x6c, 0x0, 0x5, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0
WM_TRANSIENT_FOR(WINDOW): window id # 0x440008c
_NET_WM_SYNC_REQUEST_COUNTER(CARDINAL) = 71309428
_NET_WM_WINDOW_TYPE(ATOM) = _NET_WM_WINDOW_TYPE_POPUP_MENU
_NET_WM_USER_TIME_WINDOW(WINDOW): window id # 0x4401873
WM_CLIENT_LEADER(WINDOW): window id # 0x4400001
_NET_WM_PID(CARDINAL) = 24028
WM_LOCALE_NAME(STRING) = "fi_FI.UTF-8"
WM_CLIENT_MACHINE(STRING) = "name"
WM_NORMAL_HINTS(WM_SIZE_HINTS):
  program specified location: 0, 0
  program specified minimum size: 0 by 0
  window gravity: NorthWest
WM_PROTOCOLS(ATOM): protocols WM_DELETE_WINDOW, WM_TAKE_FOCUS, _NET_WM_PING, _NET_WM_SYNC_REQUEST
WM_CLASS(STRING) = "Popup", "Mozilla Developer Preview"
WM_ICON_NAME(STRING) = "Firefox"
_NET_WM_ICON_NAME(UTF8_STRING) = "Firefox"
WM_NAME(STRING) = "Firefox"
_NET_WM_NAME(UTF8_STRING) = "Firefox"
my@name:~$ xprop
_NET_WM_ICON_GEOMETRY(CARDINAL) = 0, 140, 64, 65
XKLAVIER_STATE(INTEGER) = 0, 0
WM_STATE(WM_STATE):
  window state: Normal
  icon window: 0x0
_NET_FRAME_EXTENTS(CARDINAL) = 0, 0, 0, 0
_NET_WM_DESKTOP(CARDINAL) = 0
_NET_WM_ALLOWED_ACTIONS(ATOM) = _NET_WM_ACTION_MOVE, _NET_WM_ACTION_RESIZE, _NET_WM_ACTION_FULLSCREEN, _NET_WM_ACTION_MINIMIZE, _NET_WM_ACTION_SHADE, _NET_WM_ACTION_MAXIMIZE_HORZ, _NET_WM_ACTION_MAXIMIZE_VERT, _NET_WM_ACTION_CHANGE_DESKTOP, _NET_WM_ACTION_CLOSE, _NET_WM_ACTION_ABOVE, _NET_WM_ACTION_BELOW
_NET_WM_STATE(ATOM) = _NET_WM_STATE_MAXIMIZED_HORZ, _NET_WM_STATE_MAXIMIZED_VERT
WM_HINTS(WM_HINTS):
  Client accepts input or input focus: True
  Initial state is Normal State.
  bitmap id # to use for icon: 0x440141f
  bitmap id # of mask for icon: 0x4401420
  window id # of group leader: 0x4400001
WM_WINDOW_ROLE(STRING) = "view-source"
XdndAware(ATOM) = BITMAP
_MOTIF_DRAG_RECEIVER_INFO(_MOTIF_DRAG_RECEIVER_INFO) = 0x6c, 0x0, 0x5, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0
_NET_WM_ICON(CARDINAL) = Icon (16 x 16):

      ░░░░░░
    ░▒░░░░░▒▒░
   ░▒▒░░░░░▒▒▒
   ▒▒▒░░░░▒▒▒▒▒
  ░▒▒▒...

Jiri Grönroos (jiri-gronroos) wrote :
Download full text (15.9 KiB)

Sorry for the spam, here's probably the last usable piece of information (with a call trace) I'm able to gather:

(gdb) break gdk_x11_window_set_user_time
Breakpoint 1 at 0x7ffff02b0850: file /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkwindow-x11.c, line 3711.
(gdb) condition 1 timestamp>0x20000000
(gdb) break GrabPointerError
Breakpoint 2 at 0x7ffff4376cf3: file /build/buildd/firefox-13.0+build1/build-tree/mozilla/widget/gtk2/nsWindow.cpp, line 4724.
(gdb) cont
Continuing.
[Thread 0x7fffe1da6700 (LWP 25877) exited]
[New Thread 0x7fffe1da6700 (LWP 25902)]
[New Thread 0x7fffcc4ff700 (LWP 25903)]
[New Thread 0x7fffc5dba700 (LWP 25904)]
[New Thread 0x7fffc51ff700 (LWP 25905)]
[Thread 0x7fffc51ff700 (LWP 25905) exited]
[New Thread 0x7fffc51ff700 (LWP 25906)]

Breakpoint 1, IA__gdk_x11_window_set_user_time (window=0x7fffc35c5340, timestamp=1339530711)
    at /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkwindow-x11.c:3711
3711 /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkwindow-x11.c: Tiedostoa tai hakemistoa ei ole.
(gdb) bt
#0 IA__gdk_x11_window_set_user_time (window=0x7fffc35c5340, timestamp=1339530711)
    at /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkwindow-x11.c:3711
#1 0x00007ffff029aad5 in gdk_wm_protocols_filter (xev=0x7fffffffb4a0, event=0x7fffcb6e40b0,
    data=<optimized out>) at /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkevents-x11.c:2228
#2 0x00007ffff029b313 in gdk_event_translate (display=<optimized out>, event=0x7fffcb6e40b0,
    xevent=0x7fffffffb4a0, return_exposes=0)
    at /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkevents-x11.c:2032
#3 0x00007ffff029cbd6 in _gdk_events_queue (display=0x7ffff6ce0190)
    at /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkevents-x11.c:2310
#4 0x00007ffff029cc7e in gdk_event_dispatch (source=<optimized out>, callback=<optimized out>,
    user_data=<optimized out>) at /build/buildd/gtk+2.0-2.24.10/gdk/x11/gdkevents-x11.c:2371
#5 0x00007ffff1fb5e23 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6 0x00007ffff1fb6170 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7 0x00007ffff1fb6234 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8 0x00007ffff4380140 in nsAppShell::ProcessNextNativeEvent (this=<optimized out>,
    mayWait=<optimized out>)
    at /build/buildd/firefox-13.0+build1/build-tree/mozilla/widget/gtk2/nsAppShell.cpp:164
#9 0x00007ffff4395a80 in nsBaseAppShell::DoProcessNextNativeEvent (this=0x7fffe3ce05f0,
    mayWait=<optimized out>)
    at /build/buildd/firefox-13.0+build1/build-tree/mozilla/widget/xpwidgets/nsBaseAppShell.cpp:171
#10 0x00007ffff4395c4c in nsBaseAppShell::OnProcessNextEvent (this=0x7fffe3ce05f0, thr=0x7ffff6cfc0e0,
    mayWait=<optimized out>, recursionDepth=<optimized out>)
    at /build/buildd/firefox-13.0+build1/build-tree/mozilla/widget/xpwidgets/nsBaseAppShell.cpp:324
#11 0x00007ffff44ca85e in nsThread::ProcessNextEvent (this=0x7ffff6cfc0e0, mayWait=true,
    result=0x7fffffffb79f)
    at /build/buildd/firefox-13.0+build1/build-tree/mozilla/xpcom/threads/nsThread.cpp:619
#12 0x00007ffff449fadf in NS_ProcessNextEvent_P (thread=<optimized out>, mayWait=true)
    at /build/buildd/firefox-13.0+build1/build-tree/mozilla...

Jiri Grönroos (jiri-gronroos) wrote :

And finally a log file, generated using xtrace.

I could reproduce this by opening a new window, then closing it using window close button. However when I close the window using shortcuts (Ctrl + W), the bug doesn't occur.

Chris Coulson (chrisccoulson) wrote :

Thanks to Jiri for sticking around on IRC last night to help debug this. What we found in the end is that the unity 2d panel sends Firefox a WM_DELETE_WINDOW client message with an abnormally large timestamp when closing a maximised Firefox window, using the close button. What happens inside Firefox (well, inside gdk really) is that it saves the timestamp of each new event on its GdkDisplay as long as the timestamp is newer than the previous one. Firefox uses this last event timestamp for pointer grab handling and drag events. Once Firefox has seen the timestamp from a long way in the future, this broken timestamp is then used for all future pointer grabs (which fail because the timestamp is ahead of the X server time).

After looking at the unity 2d source, it actually sends the system time (ie, time since the epoch) as the timestamp, rather than the X server timestamp of the mouse button event.

affects: firefox (Ubuntu) → unity-2d (Ubuntu)
Changed in unity-2d (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: unity-2d (Ubuntu) → firefox (Ubuntu)
Changed in firefox (Ubuntu Oneiric):
status: New → Confirmed
Changed in firefox (Ubuntu Precise):
status: New → Confirmed
affects: firefox (Ubuntu) → unity-2d (Ubuntu)
Changed in unity-2d (Ubuntu Natty):
status: New → Confirmed
Chris Coulson (chrisccoulson) wrote :

Note that there is an update unity-2d package in my PPA which has a fix for this (https://launchpad.net/~chrisccoulson/+archive/ppa)

Changed in unity-2d (Ubuntu Natty):
importance: Undecided → Medium
Changed in unity-2d (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in unity-2d (Ubuntu Precise):
importance: Undecided → Medium
Gerry Boland (gerboland) on 2012-06-13
Changed in unity-2d:
status: New → Fix Committed
importance: Undecided → High
milestone: none → 5.14
Jon Anderson (jon-50eaa2) wrote :

Could somebody tell me a little about the release process and timing? When will this fix get released?

I'm very affected by this and other unity-2d bugs. I see that this has been marked for 5.14, and other fixes I'm waiting on marked for 5.12.1. When will these get to Precise? I'm getting scared that it means "no time soon."

Changed in unity-2d (Ubuntu):
status: Triaged → Fix Committed
Changed in unity-2d (Ubuntu Precise):
status: Confirmed → Fix Committed
Changed in unity-2d (Ubuntu Oneiric):
status: Confirmed → In Progress
Changed in unity-2d (Ubuntu Natty):
status: Confirmed → In Progress
Chris Coulson (chrisccoulson) wrote :

Hi Jon,

We are planning to push this update out to precise-security ASAP. Sorry for the inconvenience.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.12.0-0ubuntu1.1

---------------
unity-2d (5.12.0-0ubuntu1.1) precise-security; urgency=low

  * Fix issue with unity-2d sending the wrong event timestamp when closing an
    application window; This bug was exposed by a recent Firefox update which
    changed the way Firefox handled windows based on timestamps. (LP: #1010466)
    - panel/applets/appname/windowhelper.cpp
 -- Lukasz 'sil2100' Zemczak <email address hidden> Wed, 13 Jun 2012 17:36:33 +0200

Changed in unity-2d (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 3.8.4.1-0ubuntu1.1

---------------
unity-2d (3.8.4.1-0ubuntu1.1) natty-security; urgency=low

  [ Łukasz 'sil2100' Zemczak <email address hidden> ]
  * Fix issue with unity-2d sending the wrong event timestamp when closing an
    application window; This bug was exposed by a recent Firefox update which
    changed the way Firefox handled windows based on timestamps. (LP: #1010466)
    - panel/applets/appname/windowhelper.cpp

  [ Micah Gersten <email address hidden> ]
  * Switch back to source format 1.0 as this is in line with how the unity devs
    prefer to update their packages
    - update debian/source/format
 -- Lukasz 'sil2100' Zemczak <email address hidden> Wed, 13 Jun 2012 19:11:30 +0200

Changed in unity-2d (Ubuntu Natty):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 4.12.0-0ubuntu1.2

---------------
unity-2d (4.12.0-0ubuntu1.2) oneiric-security; urgency=low

  * Fix issue with unity-2d sending the wrong event timestamp when closing an
    application window; This bug was exposed by a recent Firefox update which
    changed the way Firefox handled windows based on timestamps. (LP: #1010466)
    - add debian/patches/fix-event-timestamps.patch
 -- Lukasz 'sil2100' Zemczak <email address hidden> Wed, 13 Jun 2012 18:36:00 +0200

Changed in unity-2d (Ubuntu Oneiric):
status: In Progress → Fix Released
Micah Gersten (micahg) on 2012-06-15
description: updated
tags: added: natty oneiric testcase
removed: apport-bug release-channel
tags: added: apport-buf
tags: added: apport-bug
removed: apport-buf
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.12.0-0ubuntu1.1

---------------
unity-2d (5.12.0-0ubuntu1.1) precise-security; urgency=low

  * Fix issue with unity-2d sending the wrong event timestamp when closing an
    application window; This bug was exposed by a recent Firefox update which
    changed the way Firefox handled windows based on timestamps. (LP: #1010466)
    - panel/applets/appname/windowhelper.cpp
 -- Lukasz 'sil2100' Zemczak <email address hidden> Wed, 13 Jun 2012 17:36:33 +0200

Changed in unity-2d (Ubuntu):
status: Fix Committed → Fix Released
Micah Gersten (micahg) on 2012-06-15
description: updated
Pan, SZ (pan.sz) wrote :

My desktop is Kubuntu and I have this problem very often, it will almost always happen within 5 minutes, after I started Firefox, sometimes I start Firefox, open 2 tabs, then dropdown box and context menu dissapears immediately.

Since I don't have unity-2d at all, this fix may not be the cure for me?

Pan, SZ (pan.sz) wrote :

KDE plasma widget: window menubar also need to communicate with Firefox, so it may be the widget need to fix? or the problem is actually from Firefox?

Colin Law (colin-law) wrote :

Just in the last few days I have seen dropdown boxes fail to work, though I have not worked out what is triggering it. I have unity-2d 5.12.0-0ubuntu1.1 on Precise up to date. Is it possible that the fix here has triggered a new problem?

Colin Law (colin-law) wrote :

I can replicate it by using the HUD to find a Firefox bookmark. Should I report a new bug? Or perhaps it is already reported.

It's probably best to report a new bug. Open one up and post the link here for those still affected to hop on. I, too, have this issue on Unity3D.

Colin Law (colin-law) wrote :

I have reported the new problem in bug #1034419.
Chauncellor - if you see the issue with 3d could you comment there as I can only replicate it on 2d.

fancyerii (fancyerii) wrote :

so it is solved? I am using ubuntu 11.10 with unity-2d 4.14 but still confront this problem. Any work around for me?

Sasa Paporovic (melchiaros) wrote :

Ubuntu11.10 is end of live. There will be no further upgrades to this system.

Please use the release upgrdade procedure to the long term supported Ubuntu12.04.

You can find the common informations about relase upgrades here:

https://help.ubuntu.com/community/UpgradeNotes

The exact procedure for you is here:

https://help.ubuntu.com/community/PreciseUpgrades

After the upgrade unity-2D-5.14 is running on your system. This may solve your problem.

To post a comment you must log in.